#!/bin/sh -e

WARNOPTS="-Wreturn-type -Wpointer-sign -Wsign-compare -Wshadow -Wpointer-arith -Wimplicit -Werror"
CC="gcc $WARNOPTS -fPIC"

rm -Rf build
mkdir build
cd build

$CC -c ../common.c
$CC -c ../images.c

gcc -Wall -Werror -shared -o libfwm.so *.o -lX11

rm -f *.o

echo "libfwm build done"
